import { ICreateNewFilePayload, IOpenModalPayload, IOpenModalReturnValue, ITreeItem, ISettingsState, TSettingPath } from '@ws-ui/shared';
export interface ISettingsEditorStateAdapter {
    getTabPath(): string | null;
    getPreferences(): Partial<ISettingsState>;
    getQodly(): boolean;
    getFeatureFlag(name: string): boolean;
    getExplorer(): ITreeItem[];
    getWebForms(): {
        name: string;
    }[];
    findNodeByPath(path: string): ITreeItem | null;
    actions: {
        setSetting(payload: {
            path: TSettingPath;
            settingsKey: string;
            value: unknown;
        }): void;
        setSettingsAsText(payload: {
            path: TSettingPath;
            settings: Record<string, unknown>;
        }): void;
        fetchFolderContentWithoutExpanding(path: string): Promise<unknown>;
        createNewFileAndOpen(payload: ICreateNewFilePayload): Promise<unknown>;
        openModal(config: IOpenModalPayload): Promise<IOpenModalReturnValue>;
    };
}
